### Hierarchy

- EventTarget
  - SpeechSynthesisUtterance

## Index

### Properties

- EventTarget
- lang
- onboundary
- onend
- onerror
- onmark
- onpause
- onresume
- onstart
- pitch
- rate
- text
- voice
- volume

### Methods

- addEventListener
- dispatchEvent
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### lang

lang: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14513

### onboundary

onboundary: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14514

### onend

onend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14515

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14516

### onmark

onmark: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14517

### onpause

onpause: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14518

### onresume

onresume: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14519

### onstart

onstart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14520

### pitch

pitch: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14521

### rate

rate: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14522

### text

text: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14523

### voice

voice: SpeechSynthesisVoice

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14524

### volume

volume: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14525

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14526

  #### Type parameters

  - #### K: keyof SpeechSynthesisUtteranceEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechSynthesisUtterance, ev: SpeechSynthesisUtteranceEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechSynthesisUtterance

        - ##### ev: SpeechSynthesisUtteranceEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14527

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14528

  #### Type parameters

  - #### K: keyof SpeechSynthesisUtteranceEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechSynthesisUtterance, ev: SpeechSynthesisUtteranceEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechSynthesisUtterance

        - ##### ev: SpeechSynthesisUtteranceEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14529

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc